package com.bipt.intelligentapplicationorchestrationservice.controller;

import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelLogVO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.OptResult;
import com.bipt.intelligentapplicationorchestrationservice.service.EvaluationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/evaluation")
@Slf4j
public class EvaluationController {
    @Autowired
    private EvaluationService evaluationService;

    /**
     * 获取日志详情
     * @param id
     * @return
     */
    @GetMapping("/detail")
    public OptResult detail(Long id){
//        log.info("id:{}", id);
        ModelLogVO modelLogVO = evaluationService.detail(id);
        return OptResult.success(modelLogVO);
    }

}
